Bug 506637 - kernel: filesystem capabilities: fix fragile setuid fixup code
kernel: filesystem capabilities: fix fragile setuid fixup code
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Cong Wang
impact=??,public=??,reported=20090618...
: Security
Depends On: 508225 508226 508227 508228 508229 508230
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-17 23:17 EDT by Eugene Teo (Security Response)
Modified: 2013-09-29 22:09 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-22 11:37:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 3 Eugene Teo (Security Response) 2009-06-26 05:37:54 EDT
Upstream patch:
http://git.kernel.org/linus/086f7316f0d400806d76323beefae996bb3849b1
Comment 4 Eugene Teo (Security Response) 2009-06-26 05:42:57 EDT
This commit includes a bugfix for the fragile setuid fixup code in the case that filesystem capabilities are supported (in access()).  The effect of this fix is gated on filesystem capability support because changing securebits is only supported when filesystem capabilities support is configured.)

Note You need to log in before you can comment on or make changes to this bug.